weka.knowledgeflow.steps

## Class FlowByExpression.ExpressionClause

- java.lang.Object
- - weka.knowledgeflow.steps.FlowByExpression.ExpressionNode
  - - weka.knowledgeflow.steps.FlowByExpression.ExpressionClause

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    FlowByExpression

      public static class FlowByExpression.ExpressionClause
      extends FlowByExpression.ExpressionNode
      implements java.io.Serializable

  An expression node that represents a clause of an expression
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FlowByExpression.ExpressionClause.ExpressionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionClause()`
    `ExpressionClause(FlowByExpression.ExpressionClause.ExpressionType operator, java.lang.String lhsAttributeName, java.lang.String rhsOperand, boolean rhsIsAttribute, boolean isAnOr)` Construct a new ExpressionClause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(Instance inst, boolean result)` Evaluate this node and combine with the result so far
    `java.lang.String` | `getLHSAttName()` Get the lhs attribute name
    `FlowByExpression.ExpressionClause.ExpressionType` | `getOperator()` Get the operator
    `java.lang.String` | `getRHSOperand()` Get the rhs operand
    `void` | `init(Instances structure, Environment env)` Initialize the node
    `boolean` | `isRHSAnAttribute()` Returns true if the RHS is an attribute rather than a constant
    `void` | `setLHSAttName(java.lang.String attName)` Set the lhs attribute name
    `void` | `setOperator(FlowByExpression.ExpressionClause.ExpressionType opp)` Set the operator
    `void` | `setRHSIsAnAttribute(boolean rhs)` Set whether the RHS is an attribute rather than a constant
    `void` | `setRHSOperand(java.lang.String opp)` Set the rhs operand
    `javax.swing.tree.DefaultMutableTreeNode` | `toJTree(javax.swing.tree.DefaultMutableTreeNode parent)` Get a DefaultMutableTreeNode for this node
    `java.lang.String` | `toString()`
    `void` | `toStringDisplay(java.lang.StringBuffer buff)` Get the display representation of this node
    `void` | `toStringInternal(java.lang.StringBuffer buff)` Get the internal representation of this node

    - ### Methods inherited from class weka.knowledgeflow.steps.FlowByExpression.ExpressionNode

      `isNegated, isOr, setIsOr, setNegated, setShowAndOr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionClause

          public ExpressionClause()

    - #### ExpressionClause

          public ExpressionClause(FlowByExpression.ExpressionClause.ExpressionType operator,
                                  java.lang.String lhsAttributeName,
                                  java.lang.String rhsOperand,
                                  boolean rhsIsAttribute,
                                  boolean isAnOr)

      Construct a new ExpressionClause
      Parameters:
        `operator` - the operator to use
        `lhsAttributeName` - the lhs attribute name
        `rhsOperand` - the rhs operand
        `rhsIsAttribute` - true if the rhs operand is an attribute
        `isAnOr` - true if the result of this expression is to be OR'ed with the result so far

  - ### Method Detail

    - #### getLHSAttName

          public java.lang.String getLHSAttName()

      Get the lhs attribute name
      Returns:
        the lhs attribute name

    - #### setLHSAttName

          public void setLHSAttName(java.lang.String attName)

      Set the lhs attribute name
      Parameters:
        `attName` - the lhs att naem

    - #### getRHSOperand

          public java.lang.String getRHSOperand()

      Get the rhs operand
      Returns:
        the rhs operando

    - #### setRHSOperand

          public void setRHSOperand(java.lang.String opp)

      Set the rhs operand
      Parameters:
        `opp` - the rhs operand to set

    - #### isRHSAnAttribute

          public boolean isRHSAnAttribute()

      Returns true if the RHS is an attribute rather than a constant
      Returns:
        true if the RHS is an attribute

    - #### setRHSIsAnAttribute

          public void setRHSIsAnAttribute(boolean rhs)

      Set whether the RHS is an attribute rather than a constant
      Parameters:
        `rhs` - true if the RHS is an attribute rather than a constant

    - #### getOperator

          public FlowByExpression.ExpressionClause.ExpressionType getOperator()

      Get the operator
      Returns:
        the operator

    - #### setOperator

          public void setOperator(FlowByExpression.ExpressionClause.ExpressionType opp)

      Set the operator
      Parameters:
        `opp` - the operator to use

    - #### init

          public void init(Instances structure,
                           Environment env)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Initialize the node
      Overrides:
        `init` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `structure` - the structure of the incoming instances
        `env` - Environment variables

    - #### evaluate

          public boolean evaluate(Instance inst,
                                  boolean result)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Evaluate this node and combine with the result so far
      Specified by:
        `evaluate` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `inst` - the incoming instance to evalute with
        `result` - the result to combine with
      Returns:
        the result after combining with this node

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringDisplay

          public void toStringDisplay(java.lang.StringBuffer buff)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Get the display representation of this node
      Specified by:
        `toStringDisplay` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `buff` - the string buffer to append to

    - #### toStringInternal

          public void toStringInternal(java.lang.StringBuffer buff)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Get the internal representation of this node
      Specified by:
        `toStringInternal` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `buff` - the string buffer to append to

    - #### toJTree

          public javax.swing.tree.DefaultMutableTreeNode toJTree(javax.swing.tree.DefaultMutableTreeNode parent)

      Description copied from class: `FlowByExpression.ExpressionNode`
      Get a DefaultMutableTreeNode for this node
      Specified by:
        `toJTree` in class `FlowByExpression.ExpressionNode`
      Parameters:
        `parent` - the parent of this node (if any)
      Returns:
        the DefaultMutableTreeNode for this node